NORMAL3D(1)

NAME

normal3d - apply transformation matrix in Raster3D input file

SYNOPSIS

normal3d [options] < infile.r3d > normalized.r3d

DESCRIPTION

normal3d reads a Raster3D input file from stdin, applies any coordinate manipulations specified in the header, and writes the modified file to stdout.

The output file from normal3d describes exactly the same image as the original input file. Header records are left unchanged except for the transfomation matrix (which becomes the identity matrix) and the format specifiers (which are set to *). The -h flag suppresses all header records in the output file. All objects in the input file are also in the output file, but their coordinate descriptions have been normalized (i.e. the original transformation matrix has been applied).

OPTIONS

-ang AA

Only relevant for generating stereo pairs. By default stereo separation is created using a shear operator. The -ang option instead introduces an angular separation by rotating the left and right eye images by +/- AA degrees with respect to the original view angle.

-expand

In-line and normalize all instances of file indirection in the input stream. This results in a single input file containing no file indirection. The default is to simply copy file indirection lines (those beginning with @) to the new input file without opening them or normalizing their contents.

-h

Suppress header records in output. This option is useful for producing files which describe only part of a scene, and which are to be later combined with descriptor files

-size HHHxVVV

Force the image size to HHH pixels horizontal and VVV pixels vertical.

-stereo [scratch]

This option causes the program to produce two additional files, left.r3d and right.r3d, that contain header records suitable for rendering the normalized object desctiption file as a side-by-side stereo pair. This option always suppresses header records in the primary output file. If a scratch directory name is given, it is prepended to give output files {scratch}_left.r3d and {scratch}_right.r3d

SOURCE

web URL:
     http://www.bmsc.washington.edu/raster3d/raster3d.html

contact:
     Ethan A Merritt
     University of Washington, Seattle WA 98195
     merritt@u.washington.edu

SEE ALSO
render(l), raster3d(l), stereo3d(l)

AUTHORS
 Ethan A Merritt.